## org.jCharts.properties.util
Class ChartFont

    java.lang.Object
      org.jCharts.properties.util.ChartItem
          org.jCharts.properties.util.ChartFont

    public class ChartFont

extends ChartItem

Field Summary
`private AffineTransform` `affineTransform`
`static ChartFont` `DEFAULT_AXIS_SCALE`
`static ChartFont` `DEFAULT_AXIS_TITLE`
`static ChartFont` `DEFAULT_AXIS_VALUE`
`static ChartFont` `DEFAULT_CHART_TITLE`
`static ChartFont` `DEFAULT_PIE_VALUE`
`private Font` `font`
`static AffineTransform` `VERTICAL_ROTATION`

Constructor Summary
`ChartFont(Font font, Paint paint)`

Method Summary
`Font` `deriveFont()`
`Font` `getFont()`
`void` `setupGraphics2D(Graphics2D graphics2D)` Sets the Paint and Stroke implementations on the Graphics2D Object

Methods inherited from class org.jCharts.properties.util.ChartItem
`getPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_AXIS_TITLE

    public static final ChartFont DEFAULT_AXIS_TITLE

### DEFAULT_AXIS_VALUE

    public static final ChartFont DEFAULT_AXIS_VALUE

### DEFAULT_AXIS_SCALE

    public static final ChartFont DEFAULT_AXIS_SCALE

### DEFAULT_PIE_VALUE

    public static final ChartFont DEFAULT_PIE_VALUE

### DEFAULT_CHART_TITLE

    public static final ChartFont DEFAULT_CHART_TITLE

### VERTICAL_ROTATION

    public static final AffineTransform VERTICAL_ROTATION

### font

    private Font font

### affineTransform

    private AffineTransform affineTransform

Constructor Detail

### ChartFont

    public ChartFont(Font font,
                     Paint paint)

Parameters:
  `font` -
  `paint` -

Method Detail

### setupGraphics2D

    public void setupGraphics2D(Graphics2D graphics2D)

  Sets the Paint and Stroke implementations on the Graphics2D Object

  Overrides:
    `setupGraphics2D` in class `ChartItem`
  Parameters:
    `graphics2D` -

### getFont

    public Font getFont()

  Returns:
    font

### deriveFont

    public Font deriveFont()

  Returns:
    boolean public boolean isAntiAliased() { return isAntiAliased; } /**************************************************************************************